%define upstream_name	 Class-DBI-Plugin-AbstractCount
%define upstream_version 0.08

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 8

Summary:	Get COUNT(*) results with abstract SQL
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.bz2


BuildRequires:	perl-SQL-Abstract >= 1.1
BuildRequires:  perl-Class-DBI-Plugin >= 0.02
BuildRequires:	perl-Class-DBI >= 0.95
BuildRequires:	perl(Test::Deep)
BuildArch: noarch


%description
This Class::DBI plugin combines the functionality from
Class::DBI::Plugin::CountSearch (counting objects without
having to use an array or an iterator), and
Class::DBI::AbstractSearch, which allows complex
where-clauses a la SQL::Abstract.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes
%{perl_vendorlib}/Class
%{_mandir}/*/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.80.0-8.mga6
+ Revision: 1023950
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.80.0-7.mga6
+ Revision: 946995
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-6.mga5
+ Revision: 741675
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

  + tv <tv>
    - rebuild for missing pythoneggs deps

* Mon Oct 21 2013 umeabot <umeabot> 0.80.0-3.mga4
+ Revision: 538447
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 sander85 <sander85> 0.80.0-2.mga4
+ Revision: 489690
- Add missing BR

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-2.mga3
+ Revision: 364337
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 33619
- mageia rebuild
- imported package perl-Class-DBI-Plugin-AbstractCount

